import { Context } from "./context";
import { Controller } from "./controller";
import { Descriptor } from "./descriptor";
export declare type EventTargetMatcher = (eventTarget: EventTarget) => boolean;
export declare class Action {
    context: Context;
    descriptor: Descriptor;
    eventTarget: EventTarget;
    delegatedTargetMatcher?: EventTargetMatcher;
    constructor(context: Context, descriptor: Descriptor, eventTarget: EventTarget, delegatedTargetMatcher?: EventTargetMatcher);
    readonly controller: Controller;
    readonly eventName: string;
    readonly methodName: string;
    readonly isDirect: boolean;
    readonly isDelegated: boolean;
    readonly method: Function;
    hasSameDescriptorAs(action: Action | null): boolean;
    matchDelegatedTarget(eventTarget: EventTarget): boolean;
    invokeWithEventAndTarget(event: Event, eventTarget: EventTarget): void;
    debug(...args: any[]): void;
    error(...args: any[]): void;
}
