import { Configuration, ConfigurationOptions } from "./configuration";
import { Controller, ControllerConstructor } from "./controller";
import { Logger } from "./logger";
export declare class Application {
    configuration: Configuration;
    logger: Logger;
    private router;
    static start(configurationOptions?: ConfigurationOptions): Application;
    constructor(configurationOptions?: ConfigurationOptions);
    start(): void;
    stop(): void;
    register(identifier: string, controllerConstructor: ControllerConstructor): void;
    getControllerForElementAndIdentifier(element: Element, identifier: string): Controller | null;
}
