import { Action } from "./action";
import { Application } from "./application";
import { Configuration } from "./configuration";
import { ContextSet } from "./context_set";
import { Controller } from "./controller";
import { DataMap } from "./data_map";
import { InlineActionObserverDelegate } from "./inline_action_observer";
import { Logger } from "./logger";
import { TargetSet } from "./target_set";
export declare class Context implements InlineActionObserverDelegate {
    contextSet: ContextSet;
    element: Element;
    controller: Controller;
    targets: TargetSet;
    data: DataMap;
    private dispatcher;
    private inlineActionObserver;
    constructor(contextSet: ContextSet, element: Element);
    connect(): void;
    disconnect(): void;
    canControlElement(element: Element): boolean;
    readonly application: Application;
    readonly identifier: string;
    readonly configuration: Configuration;
    readonly controllerAttribute: string;
    readonly actionAttribute: string;
    readonly targetAttribute: string;
    readonly parentElement: Element | null;
    addAction(action: Action): any;
    addAction(descriptorString: string, eventTarget: EventTarget): any;
    removeAction(action: Action): void;
    inlineActionConnected(action: Action): void;
    inlineActionDisconnected(action: Action): void;
    debug(...args: any[]): void;
    error(...args: any[]): void;
    readonly logger: Logger;
    private readonly loggerTag;
}
