import { Application } from "./application";
import { Context } from "./context";
import { ControllerConstructor } from "./controller";
import { Router } from "./router";
export declare class ContextSet {
    router: Router;
    identifier: string;
    controllerConstructor: ControllerConstructor;
    private contextsByElement;
    private connectedContexts;
    constructor(router: Router, identifier: string, controllerConstructor: ControllerConstructor);
    readonly application: Application;
    readonly contexts: Context[];
    readonly size: number;
    connect(element: Element): void;
    disconnect(element: Element): void;
    getContextForElement(element: Element): Context | undefined;
    private fetchContextForElement(element);
}
