import { Action } from "./action";
import { Application } from "./application";
import { Context } from "./context";
import { TargetSet } from "./target_set";
import { DataMap } from "./data_map";
export interface ControllerConstructor {
    new (context: Context): Controller;
}
export declare class Controller {
    context: Context;
    constructor(context: Context);
    readonly application: Application;
    readonly element: Element;
    readonly identifier: string;
    readonly targets: TargetSet;
    readonly data: DataMap;
    initialize(): void;
    connect(): void;
    disconnect(): void;
    addAction(action: Action): any;
    addAction(descriptorString: string, eventTarget: EventTarget): any;
    removeAction(action: Action): void;
}
