import { Action } from "./action";
import { Context } from "./context";
export declare class Dispatcher {
    context: Context;
    started: boolean;
    private directActions;
    private delegatedActions;
    private events;
    constructor(context: Context);
    start(): void;
    stop(): void;
    addAction(action: Action): void;
    removeAction(action: Action): void;
    private getActionSetForAction(action);
    private addEventListeners();
    private removeEventListeners();
    private addEventListenersForActionSet(actionSet);
    private removeEventListenersForActionSet(actionSet);
    private addEventListenerForAction(action);
    private removeEventListenerForAction(action);
    private getEventListenerForAction(action);
    private handleDirectEvent(event);
    private handleDelegatedEvent(event);
    private canHandleEvent(event);
    private findDirectActionInvocationsForEvent(event);
    private findDelegatedActionInvocationsForEvent(event);
    private performActionInvocations(actionInvocations);
    private getPathForEvent(event);
    private readonly parentElement;
}
