import { Action } from "./action";
import { Context } from "./context";
import { TokenListObserverDelegate } from "sentinella";
export interface InlineActionObserverDelegate {
    inlineActionConnected(action: Action): any;
    inlineActionDisconnected(action: Action): any;
}
export declare class InlineActionObserver implements TokenListObserverDelegate {
    context: Context;
    delegate: InlineActionObserverDelegate;
    private tokenListObserver;
    private connectedActions;
    constructor(context: Context, delegate: InlineActionObserverDelegate);
    readonly attributeName: string;
    readonly element: Element;
    readonly identifier: string;
    start(): void;
    stop(): void;
    elementMatchedTokenForAttribute(element: Element, token: string, attributeName: string): void;
    elementUnmatchedTokenForAttribute(element: Element, token: string, attributeName: string): void;
    private getConnectedActionForElementWithDescriptorString(element, descriptorString);
    private buildActionForElementWithDescriptorString(element, descriptorString);
}
