export declare enum LogLevel {
    NONE = 0,
    ERROR = 1,
    WARN = 2,
    INFO = 3,
    DEBUG = 4,
}
export declare class Logger {
    level: LogLevel;
    console: Console;
    constructor(level?: LogLevel, console?: Console);
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    private formatArgs(args);
    private readonly loggerTag;
}
export declare class LoggerTag {
    name: string;
    foregroundColor: string;
    backgroundColor: string;
    constructor(name: string, foregroundColor?: string, backgroundColor?: string);
    readonly formatString: string;
    readonly formatValues: string[];
    private readonly formatValue;
}
