import { Application } from "./application";
import { Configuration } from "./configuration";
import { Context } from "./context";
import { ControllerConstructor } from "./controller";
import { TokenListObserverDelegate } from "sentinella";
export declare class Router implements TokenListObserverDelegate {
    application: Application;
    private tokenListObserver;
    private contextSets;
    constructor(application: Application);
    readonly configuration: Configuration;
    readonly element: Element;
    readonly controllerAttribute: string;
    start(): void;
    stop(): void;
    register(identifier: string, controllerConstructor: ControllerConstructor): void;
    elementMatchedTokenForAttribute(element: Element, token: string, attributeName: string): void;
    elementUnmatchedTokenForAttribute(element: Element, token: string, attributeName: string): void;
    getContextForElementAndIdentifier(element: Element, identifier: string): Context | undefined;
    private connectContextSet(contextSet);
    private connectContextForIdentifierToElement(identifier, element);
    private disconnectContextForIdentifierFromElement(identifier, element);
}
